Fetches a NodeExecution.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}import requests
url = "https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"closure": {
"created_at": "2023-11-07T05:31:56Z",
"deck_uri": "<string>",
"duration": "<string>",
"dynamic_job_spec_uri": "<string>",
"error": {
"code": "<string>",
"error_uri": "<string>",
"kind": "UNKNOWN",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"worker": "<string>"
},
"output_data": {
"literals": {}
},
"output_uri": "<string>",
"phase": "UNDEFINED",
"started_at": "2023-11-07T05:31:56Z",
"task_node_metadata": {
"cache_status": "CACHE_DISABLED",
"catalog_key": {
"artifact_tag": {
"artifact_id": "<string>",
"name": "<string>"
},
"dataset_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"source_task_execution": {
"node_execution_id": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"retry_attempt": 123,
"task_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
}
}
},
"checkpoint_uri": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"workflow_node_metadata": {
"executionId": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
}
}
},
"id": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"input_uri": "<string>",
"metadata": {
"is_array": true,
"is_dynamic": true,
"is_eager": true,
"is_parent_node": true,
"retry_group": "<string>",
"spec_node_id": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
User or system provided value for the resource.
Query Parameters
Optional, org key applied to the resource.
Response
A successful response.
Encapsulates all details for a single node execution entity. A node represents a component in the overall workflow graph. A node launch a task, multiple tasks, an entire nested sub-workflow, or even a separate child-workflow execution. The same task can be called repeatedly in a single workflow but each node is unique.
Container for node execution details and results.
Show child attributes
Show child attributes
Encapsulation of fields that identify a Flyte node execution entity.
Show child attributes
Show child attributes
Path to remote data store where input blob is stored.
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}import requests
url = "https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"closure": {
"created_at": "2023-11-07T05:31:56Z",
"deck_uri": "<string>",
"duration": "<string>",
"dynamic_job_spec_uri": "<string>",
"error": {
"code": "<string>",
"error_uri": "<string>",
"kind": "UNKNOWN",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"worker": "<string>"
},
"output_data": {
"literals": {}
},
"output_uri": "<string>",
"phase": "UNDEFINED",
"started_at": "2023-11-07T05:31:56Z",
"task_node_metadata": {
"cache_status": "CACHE_DISABLED",
"catalog_key": {
"artifact_tag": {
"artifact_id": "<string>",
"name": "<string>"
},
"dataset_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"source_task_execution": {
"node_execution_id": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"retry_attempt": 123,
"task_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
}
}
},
"checkpoint_uri": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"workflow_node_metadata": {
"executionId": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
}
}
},
"id": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"input_uri": "<string>",
"metadata": {
"is_array": true,
"is_dynamic": true,
"is_eager": true,
"is_parent_node": true,
"retry_group": "<string>",
"spec_node_id": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}